/*
    Copyright (C) 2007 by Michael Dale Long
  
    This file is part of DuSTED.
  
    DuSTED is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
  
    DuSTED is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License
    along with DuSTED.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef CONTAINER_H
#define CONTAINER_H

#include "widget.h"
#include "array.h"

class Container : public Widget {
	WIDGET_DECL(Container);

public:
	// List of all the widgets contained by this container
	DynArray<Widget *> mWidgets;

	// Pass the tick to each of our widgets
	virtual void Tick(void);

	// Pass the vblank to each of our visible widgets
	virtual void Render(void);
};

#endif // ! CONTAINER_H

