/*
    Copyright (C) 2007 by Michael Dale Long
  
    This file is part of DuSTED.
  
    DuSTED is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
  
    DuSTED is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License
    along with DuSTED.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef LOG_H
#define LOG_H 

// Initialize the log
void LogInit(void);

// Log message to console.
void LogInfo(const char *format, ...);

// Log message to console and enter endless loop.
void LogFatal(const char *format, ...);

// If test is false, Log message to console and enter endless loop.
void LogAssert(bool test, const char * format, ...);

// Show the console.  If draw_buffer is true, the internal buffer gets reprinted
void ShowConsole(bool draw_buffer = true);

// Hide the console.  Actually just disables it, up to the app to actually clear the screen
void HideConsole(void);

#endif // ! LOG_H

