/*
    Copyright (C) 2007 by Michael Dale Long
  
    This file is part of DuSTED.
  
    DuSTED is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
  
    DuSTED is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License
    along with DuSTED.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PALETTE_H
#define PALETTE_H

#include "widget.h"

#define PALETTE_SIZE 256
#define PALETTE_PAGE_SIZE 40

class Palette : public Widget {
	WIDGET_DECL(Palette);

public:
	// The current palette colors
	uint16 *mPalette;
	// The current palette index
	uint8 mPalIndex;
	// The current palette page
	int16 mPalPage;

	virtual void Init(void);
	virtual void HandleTouch(uint32 state, int16 x, int16 y);
	virtual void Render(void);
};

#endif // !  PALETTE_H

