/*
    Copyright (C) 2007 by Michael Dale Long
  
    This file is part of DuSTED.
  
    DuSTED is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
  
    DuSTED is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License
    along with DuSTED.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef WINDOW_H
#define WINDOW_H

#include "container.h"

// Number of ticks before recognizing a pendown
#define PENDOWN_THRESHOLD 3
// Number of ticks between a double-click
//#define PENDBLCLICK_THRESHOLD 2

// Not necessarily a true window, but a container that can have focus and handle input
class Window : public Container {
	WIDGET_DECL(Window);

protected:
	// Flag if the pen was down the previous frame
	bool mPenWasDown;

	// Widget that currently has the focus
	Widget *mFocusWidget;

	uint32 mPenDownTicks;
	
	// Last heartbeat the PS_JUSTDOWN event occured.
	uint32 mLastPenDown;

	// Key bits that became true this frame
	uint32 mNewKeys;

	// Key bits from last frame
	uint32 mLastKeys;

	// Touch pad position from last frame that KEY_TOUCH is true
	touchPosition	mPenXY;

public:
	virtual void Init(void);
	virtual void Tick(void);
};

#endif // ! WINDOW_H

