/*
    Copyright (C) 2007 by Michael Dale Long
  
    This file is part of DuSTED.
  
    DuSTED is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
  
    DuSTED is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License
    along with DuSTED.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <nds.h>
#include "dusted.h"
#include "container.h"

WIDGET_IMPL(Container, CID_CONTAINER);

void Container::Tick(void) {
	// Give each widget a frame tick
	for (uint32 i = 0; i < mWidgets.Size(); i++) {
		mWidgets[i]->Tick();
	}
}


void Container::Render(void) {
	register uint32 i;
	// Give each widget a render tick
	for (i = 0; i < mWidgets.Size(); i++) {
		if (mWidgets[i]->mVisible) {
			mWidgets[i]->Render();
		}
	}
}

